Loading...
Searching...
No Matches
BALL::Descriptor Class Reference

`#include <BALL/QSAR/descriptor.h>`

Inheritance diagram for BALL::Descriptor:

## Public Member Functions

Constructors and Destructors
| Descriptor ()
| Descriptor (const Descriptor &descriptor)
| Descriptor (const String &name)
| Descriptor (const String &name, const String &unit)
virtual | ~Descriptor ()
Assignment
Descriptor & | operator= (const Descriptor &descriptor)
Processor-related methods
Processor::Result | operator() (AtomContainer &ac)
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Predicates

virtual bool | isValid_ (AtomContainer &ac)

## Accessors

const String & | getName () const
void | setName (const String &name)
void | setUnit (const String &name)
const String & | getUnit () const
virtual double | compute (AtomContainer &ac)
virtual void | calculate_ (AtomContainer &ac)

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

Generic QSAR molecular descriptor class. \

Definition at line 25 of file descriptor.h.

## Constructor & Destructor Documentation

## Descriptor() [1/4]

BALL::Descriptor::Descriptor | ( |  | ) |

Default constructor

## Descriptor() [2/4]

BALL::Descriptor::Descriptor | ( | const Descriptor & | descriptor | ) |

Copy constructor

## Descriptor() [3/4]

BALL::Descriptor::Descriptor | ( | const String & | name | ) |

Named constructor

## Descriptor() [4/4]

BALL::Descriptor::Descriptor | ( | const String & | name,
|  | const String & | unit )

Named unit constructor

## ~Descriptor()

virtual BALL::Descriptor::~Descriptor | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## calculate_()

virtual void BALL::Descriptor::calculate_ | ( | AtomContainer & | ac | ) |

protected virtual

Reimplemented in BALL::ConnectivityBase, BALL::PartialChargeBase, BALL::SimpleBase, and BALL::SurfaceBase.

## compute()

virtual double BALL::Descriptor::compute | ( | AtomContainer & | ac | ) |

virtual

Reimplemented in BALL::AtomInformationContent, BALL::NumberOfHydrogenBondAcceptors, BALL::NumberOfHydrogenBondDonors, BALL::NumberOfHydrophobicAtoms, BALL::RelHydrophobicVdWSurface, BALL::RelNegativePolarVdWSurface, BALL::RelNegativeVdWSurface, BALL::RelNumberOfRotatableBonds, BALL::RelNumberOfRotatableSingleBonds, BALL::RelPolarVdWSurface, BALL::RelPositivePolarVdWSurface, BALL::RelPositiveVdWSurface, BALL::VertexAdjacency, BALL::VertexAdjacencyEquality, and BALL::ZagrebIndex.

## getName()

const String & BALL::Descriptor::getName | ( |  | ) | const

## getUnit()

const String & BALL::Descriptor::getUnit | ( |  | ) | const

## isValid_()

virtual bool BALL::Descriptor::isValid_ | ( | AtomContainer & | ac | ) |

protected virtual

Reimplemented in BALL::ConnectivityBase, BALL::PartialChargeBase, BALL::SimpleBase, and BALL::SurfaceBase.

## operator()()

Processor::Result BALL::Descriptor::operator() | ( | AtomContainer & |  | ) |

virtual

operator ()

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## operator=()

Descriptor & BALL::Descriptor::operator= | ( | const Descriptor & | descriptor | ) |

Assignment operator

## setName()

void BALL::Descriptor::setName | ( | const String & | name | ) |

## setUnit()

void BALL::Descriptor::setUnit | ( | const String & | name | ) |